Sessions - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with the number of user sessions logged during a selected period.

Method Endpoint
POST
/analytics/api/v3/traffic/sessions

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

The following example shows a JSON request body for this web service:

{
  "startDate": "2023-04-01",
  "endDate": "2023-06-01",
  "groupByPeriod": "month",
  "groupBy": "userRealm"
}
Field Type Required? Description
startDate String Yes The inclusive start date of the period.
endDate String Yes The exclusive end date of the period.
groupByPeriod String Yes The period by which to group the sessions. Valid values are month, day, or week.
groupBy String no A grouping of sessions count. Possible values are userRealm, userRole, or authenticationStatus.

Response body

The following example shows a JSON response body for this web service:

{
    "startDate": "2026-02-01",
    "endDate": "2026-05-01",
    "groupBy": "userRealm",
    "results": [
        {
            "groupValue": "oidc",
            "periods": [               
                {
                    "periodStartDate": "2026-02-01",
                    "periodEndDate": "2026-03-01",
                    "sessionCount": 8355
                },
                {
                    "periodStartDate": "2026-03-01",
                    "periodEndDate": "2026-04-01",
                    "sessionCount": 9614
                },
                {
                    "periodStartDate": "2026-04-01",
                    "periodEndDate": "2026-05-01",
                    "sessionCount": 1688
                }
            ]
        },
        {
            "groupValue": "internal",
            "periods": [
                {
                    "periodStartDate": "2026-02-01",
                    "periodEndDate": "2026-03-01",
                    "sessionCount": 1643
                },
                {
                    "periodStartDate": "2026-03-01",
                    "periodEndDate": "2026-04-01",
                    "sessionCount": 1808
                },
                {
                    "periodStartDate": "2026-04-01",
                    "periodEndDate": "2026-05-01",
                    "sessionCount": 300
                }
            ]
        }
   ]
}
Field Type Description
startDate String The inclusive start date of the total period as defined in the request body.
endDate String The exclusive end date of the total period as defined in the request body.
groupBy String The grouping of sessions count.
groupValue String How the sessions are grouped
periods String The periods by which the sessions are grouped.
periodStartDate String The inclusive start date of the period by which results are grouped.
periodEndDate String The exclusive end date of the period by which results are grouped.
sessionCount Number The number of sessions during the period by which results are grouped.
Return code Description
200 OK Returns results.